<?php
//include "ver_sessao.php";
include "conecta.php";


	if( $_GET[c] )
		$EXTRA .= " AND impo_tx_tipo='$_GET[c]'";

	if( $_GET[i] == 'inserir'){
		$EXTRA .= " AND impo_nb_id NOT IN (SELECT trib_nb_imposto FROM tributacao WHERE trib_tx_status = 'ativo')";
	}

	$TABELA = 'imposto';


	$TAB = substr($TABELA,0,4);
	$filtro = "AND (".$TAB."_tx_nome LIKE '%$_GET[busca]%' OR ".$TAB."_tx_codigo LIKE '$_GET[busca]%')";

	$sql = selecionar($TABELA,$TAB."_tx_status","ativo"," $EXTRA $filtro ".grid::order_by($TAB.'_tx_codigo')." LIMIT 15",0,1);
	// inicio do grid
	
	while( $a = mysql_fetch_array($sql) ) {
		
		$nome_js = str_replace(" ","%20",mysql_real_escape_string($a[$TAB.'_tx_codigo']."-".$a[$TAB.'_tx_nome']));
		$id = $a[$TAB."_nb_id"];
		$nome = mysql_real_escape_string($a[$TAB.'_tx_codigo']."-".$a[$TAB.'_tx_nome']);
		$nome2 = mysql_real_escape_string($a[$TAB.'_tx_nome']);

		$estilo = 'combo_novo_normal';
		if( $i++ == 0  && $_GET[busca] ) {
			javascript("parent.combo_novo_sel_auto('$_GET[campo]','$id','".$nome_js."')");
			$estilo = 'combo_novo_ativo';
		}

		// SE ESTIVER SENDO UTILIZADO NO CADASTRO DE PRODUTOS
		if ($_GET[s]=='ncm')
			$l .= "<a class=$estilo href=javascript:combo_novo_sel('$_GET[campo]','$id','".$nome_js."');verifica_cest('$id');>$nome</a><BR>";
		else
			$l .= "<a class=$estilo href=javascript:combo_novo_sel('$_GET[campo]','$id','".$nome_js."')>$nome</a><BR>";
		
		$COMBO_NOVO_ID .= "$id<cactux>";
		$COMBO_NOVO_NOME .= "$nome<cactux>";
	}

	javascript("
		
		parent.COMBO_NOVO_ID='$COMBO_NOVO_ID';
		parent.COMBO_NOVO_NOME='$COMBO_NOVO_NOME';
		
		parent.combo_novo_abre('".$_GET[campo]."');
		window.parent.$('nova_div_".$_GET[campo]."').innerHTML=\"".$l."\";
	");
	
?>